package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlementRoutingRule.UpdateAppEntitlementRoutingRule(ctx, operations.C1APIAppV1AppEntitlementRoutingRuleServiceUpdateAppEntitlementRoutingRuleRequest{
AppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateAppEntitlementRoutingRuleResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlement_configuration_rules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"condition": "<string>",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"settings": {
"emergencyGrantEnabled": true,
"emergencyGrantPolicyId": "<string>",
"maxGrantDuration": "<string>",
"requestPolicyId": "<string>",
"requestSchemaId": "<string>"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlement_configuration_rules/{id}"
payload = {
"condition": "<string>",
"description": "<string>",
"displayName": "<string>",
"enabled": True,
"settings": {
"emergencyGrantEnabled": True,
"emergencyGrantPolicyId": "<string>",
"maxGrantDuration": "<string>",
"requestPolicyId": "<string>",
"requestSchemaId": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
condition: '<string>',
description: '<string>',
displayName: '<string>',
enabled: true,
settings: {
emergencyGrantEnabled: true,
emergencyGrantPolicyId: '<string>',
maxGrantDuration: '<string>',
requestPolicyId: '<string>',
requestSchemaId: '<string>'
}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlement_configuration_rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"routingRule": {
"appId": "<string>",
"condition": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"id": "<string>",
"priority": 123,
"settings": {
"emergencyGrantEnabled": true,
"emergencyGrantPolicyId": "<string>",
"maxGrantDuration": "<string>",
"requestPolicyId": "<string>",
"requestSchemaId": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Update App Entitlement Routing Rule
Update an existing app entitlement configuration rule. The app_id field is immutable; moving a rule between apps is modeled as delete + create.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlementRoutingRule.UpdateAppEntitlementRoutingRule(ctx, operations.C1APIAppV1AppEntitlementRoutingRuleServiceUpdateAppEntitlementRoutingRuleRequest{
AppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateAppEntitlementRoutingRuleResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The UpdateAppEntitlementRoutingRuleRequest message.
CEL expression evaluated against the entitlement routing rule context. Empty string is valid and matches every target not matched earlier.
The description field.
The displayName field.
The enabled field.
The AppEntitlementRoutingRuleSettings message.
Show child attributes
Show child attributes
Response
Successful response
The UpdateAppEntitlementRoutingRuleResponse message.
The AppEntitlementRoutingRule message.
Show child attributes
Show child attributes
Was this page helpful?